Pertanyaan Memasang libgtk-x11-2.0.so.0 di Ubuntu 15.04


Saya mencoba menginstal OpenCV pada server Ubuntu 15.04 saya. Saya menggunakan conda manajer paket.

conda install -c https://conda.binstar.org/menpo opencv3

Saat saya mencoba mengimpor cv2, paket Python, saya mendapatkan kesalahan berikut.

ImportError: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory

Bagaimana cara menginstal dependensi ini? Saya mencoba menginstal apt-get libgtk-x11-2.0.so.0 tetapi tampaknya tidak ada.

Terima kasih!


12
2018-04-24 03:07


asal




Jawaban:


Setidaknya di Ubuntu 16.04, libgtk2.0-0 mengandung libgtk-x11-2.0.so.0, jadi ini berfungsi:

apt-get install libgtk2.0-0

17
2018-05-02 10:46



berhasil. Terima kasih. Saya menghabiskan banyak waktu untuk sampai ke sini - zono
AWAS. Saya hanya menyalin apt-get install libgtk2.0- dan itu menghapus hampir semua sistem saya. - Ondra Žižka
Tidak berfungsi di Ubuntu 18.04. - Ondra Žižka